%global namedreltag .GA
%global namedversion %{version}%{?namedreltag}

Name:             slf4j-jboss-logmanager
Version:          1.0.0
Release:          1%{?dist}
Summary:          SLF4J backend for JBoss LogManager
Group:            Development/Libraries
License:          LGPLv2+
URL:              http://www.jboss.org

# git clone git://github.com/jboss-logging/slf4j-jboss-logmanager.git
# cd slf4j-jboss-logmanager/ && git archive --format=tar --prefix=slf4j-jboss-logmanager-1.0.0.GA/ 1.0.0.GA | xz > slf4j-jboss-logmanager-1.0.0.GA.tar.xz
Source0:          %{name}-%{namedversion}.tar.xz

BuildArch:        noarch

BuildRequires:    jpackage-utils
BuildRequires:    java-devel
BuildRequires:    maven
BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin
BuildRequires:    jboss-logmanager
BuildRequires:    slf4j

Requires:         jpackage-utils
Requires:         java
Requires:         jboss-logmanager
Requires:         slf4j

%description
This pakcage contains SLF4J backend for JBoss LogManager

%package javadoc
Summary:          Javadocs for %{name}
Group:            Documentation
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}

%build
mvn-rpmbuild install javadoc:aggregate

%install
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}

# JAR
install -pm 644 target/%{name}-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

# POM
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom

# DEPMAP
%add_maven_depmap JPP-%{name}.pom %{name}.jar

# APIDOCS
cp -rp target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%files
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%{_javadir}/*

%files javadoc
%{_javadocdir}/%{name}

%changelog
* Sun Mar 04 2012 Marek Goldmann <mgoldman@redhat.com> 1.0.0-1
- Initial packaging

